org.eclipse.microprofile.reactive.streams.operators.tck.api

## Class CompletionSubscriberVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.api.CompletionSubscriberVerification

    public class CompletionSubscriberVerification
    extends java.lang.Object

Verification for `CompletionSubscriber`.

### Constructor Summary

Constructors
Constructor and Description
`CompletionSubscriberVerification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `completionSubscriberShouldDelegateToSubscriber()`
`void` `completionSubscriberShouldNotAcceptNullCompletionStage()`
`void` `completionSubscriberShouldNotAcceptNullSubscriber()`
`void` `completionSubscriberShouldReturnSameCompletionStage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompletionSubscriberVerification

    public CompletionSubscriberVerification()

### Method Detail

#### completionSubscriberShouldReturnSameCompletionStage

    public void completionSubscriberShouldReturnSameCompletionStage()

#### completionSubscriberShouldDelegateToSubscriber

    public void completionSubscriberShouldDelegateToSubscriber()

#### completionSubscriberShouldNotAcceptNullSubscriber

    public void completionSubscriberShouldNotAcceptNullSubscriber()

#### completionSubscriberShouldNotAcceptNullCompletionStage

    public void completionSubscriberShouldNotAcceptNullCompletionStage()